%define realname sqlite
%define realver 3070602
%define rpmver %(echo %{realver}|sed -e "s/00//g" -e "s/0/./g")

Summary:	Tcl binding for sqlite3
Name:		tcl-sqlite3
Version:	%rpmver
Release:	%mkrel 1
License:	Public Domain
Group:		Databases
URL:		http://www.sqlite.org/
Source0:	http://www.sqlite.org/%{realname}-autoconf-%{realver}.tar.gz
Patch0:		sqlite-tea-3070400-link.patch
BuildRequires:	sqlite3-devel >= %{rpmver}
BuildRequires:	tcl-devel
BuildRequires:	tcl
Provides:	sqltie3-tcl = %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains tcl binding for %{name}.

%prep
%setup -q -n %{realname}-autoconf-%{realver}/tea
%patch0 -p0

%build
%configure2_5x --with-system-sqlite --enable-64bit
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{tcl_sitearch}/sqlite3
install -m755 *.so %{buildroot}%{tcl_sitearch}/sqlite3/
install -m644 pkgIndex.tcl %{buildroot}%{tcl_sitearch}/sqlite3/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{tcl_sitearch}/sqlite3




%changelog
* Sun May 08 2011 pterjan <pterjan> 3.7.6.2-1.mga1
+ Revision: 96564
- Update to 3.7.6.2 which only changes one line for NetBSD, but got upgraded on Mandriva

* Thu Apr 14 2011 tv <tv> 3.7.6.1-1.mga1
+ Revision: 85369
- new release

* Tue Feb 01 2011 dmorgan <dmorgan> 3.7.5-1.mga1
+ Revision: 46104
- imported package tcl-sqlite3


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 3.7.5-1mdv2011.0
+ Revision: 634592
- new version 3.7.5

* Wed Jan 26 2011 Funda Wang <fwang@mandriva.org> 3.7.4-1
+ Revision: 632886
- New version 3.7.4
- Created package structure for tcl-sqlite3.

